Bullet Collision Detection & Physics Library: MultiBodyInplaceSolverIslandCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MultiBodyInplaceSolverIslandCallback Struct Reference

`#include <btMultiBodyInplaceSolverIslandCallback.h>`

Inheritance diagram for MultiBodyInplaceSolverIslandCallback:
[legend]
Collaboration diagram for MultiBodyInplaceSolverIslandCallback:
[legend]

## Public Member Functions
| MultiBodyInplaceSolverIslandCallback (btMultiBodyConstraintSolver *solver, btDispatcher *dispatcher)
MultiBodyInplaceSolverIslandCallback & | operator= (const MultiBodyInplaceSolverIslandCallback &other)
virtual void | setup (btContactSolverInfo *solverInfo, btTypedConstraint **sortedConstraints, int numConstraints, btMultiBodyConstraint **sortedMultiBodyConstraints, int numMultiBodyConstraints, btIDebugDraw *debugDrawer)
void | setMultiBodyConstraintSolver (btMultiBodyConstraintSolver *solver)
virtual void | processIsland (btCollisionObject **bodies, int numBodies, btPersistentManifold **manifolds, int numManifolds, int islandId)
virtual void | processConstraints (int islandId=-1)
Public Member Functions inherited from btSimulationIslandManager::IslandCallback
virtual | ~IslandCallback ()
virtual void | processIsland (btCollisionObject **bodies, int numBodies, class btPersistentManifold **manifolds, int numManifolds, int islandId)=0

## Public Attributes
btContactSolverInfo * | m_solverInfo
btMultiBodyConstraintSolver * | m_solver
btMultiBodyConstraint ** | m_multiBodySortedConstraints
int | m_numMultiBodyConstraints
btTypedConstraint ** | m_sortedConstraints
int | m_numConstraints
btIDebugDraw * | m_debugDrawer
btDispatcher * | m_dispatcher
btAlignedObjectArray< btCollisionObject * > | m_bodies
btAlignedObjectArray< btCollisionObject * > | m_softBodies
btAlignedObjectArray< btPersistentManifold * > | m_manifolds
btAlignedObjectArray< btTypedConstraint * > | m_constraints
btAlignedObjectArray< btMultiBodyConstraint * > | m_multiBodyConstraints
btAlignedObjectArray< btSolverAnalyticsData > | m_islandAnalyticsData

## Detailed Description

Definition at line 65 of file btMultiBodyInplaceSolverIslandCallback.h.

## Constructor & Destructor Documentation

## ◆ MultiBodyInplaceSolverIslandCallback()

MultiBodyInplaceSolverIslandCallback::MultiBodyInplaceSolverIslandCallback | ( | btMultiBodyConstraintSolver * | solver,
|  | btDispatcher * | dispatcher
| ) |  |
| inline

Definition at line 86 of file btMultiBodyInplaceSolverIslandCallback.h.

## Member Function Documentation

## ◆ operator=()

MultiBodyInplaceSolverIslandCallback & MultiBodyInplaceSolverIslandCallback::operator= | ( | const MultiBodyInplaceSolverIslandCallback & | other | ) |
| inline

Definition at line 97 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ processConstraints()

virtual void MultiBodyInplaceSolverIslandCallback::processConstraints | ( | int | islandId = `-1` | ) |
| inlinevirtual

Reimplemented in DeformableBodyInplaceSolverIslandCallback.

Definition at line 223 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ processIsland()

virtual void MultiBodyInplaceSolverIslandCallback::processIsland | ( | btCollisionObject ** | bodies,
|  | int | numBodies,
|  | btPersistentManifold ** | manifolds,
|  | int | numManifolds,
|  | int | islandId
| ) |  |
| inlinevirtual

we don't split islands, so all constraints/contact manifolds/bodies are passed into the solver regardless the island id

Implements btSimulationIslandManager::IslandCallback.

Definition at line 127 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ setMultiBodyConstraintSolver()

void MultiBodyInplaceSolverIslandCallback::setMultiBodyConstraintSolver | ( | btMultiBodyConstraintSolver * | solver | ) |
| inline

Definition at line 122 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ setup()

virtual void MultiBodyInplaceSolverIslandCallback::setup | ( | btContactSolverInfo * | solverInfo,
|  | btTypedConstraint ** | sortedConstraints,
|  | int | numConstraints,
|  | btMultiBodyConstraint ** | sortedMultiBodyConstraints,
|  | int | numMultiBodyConstraints,
|  | btIDebugDraw * | debugDrawer
| ) |  |
| inlinevirtual

Definition at line 104 of file btMultiBodyInplaceSolverIslandCallback.h.

## Member Data Documentation

## ◆ m_bodies

btAlignedObjectArray<btCollisionObject*> MultiBodyInplaceSolverIslandCallback::m_bodies

Definition at line 78 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_constraints

btAlignedObjectArray<btTypedConstraint*> MultiBodyInplaceSolverIslandCallback::m_constraints

Definition at line 81 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_debugDrawer

btIDebugDraw* MultiBodyInplaceSolverIslandCallback::m_debugDrawer

Definition at line 75 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_dispatcher

btDispatcher* MultiBodyInplaceSolverIslandCallback::m_dispatcher

Definition at line 76 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_islandAnalyticsData

btAlignedObjectArray<btSolverAnalyticsData> MultiBodyInplaceSolverIslandCallback::m_islandAnalyticsData

Definition at line 84 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_manifolds

btAlignedObjectArray<btPersistentManifold*> MultiBodyInplaceSolverIslandCallback::m_manifolds

Definition at line 80 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_multiBodyConstraints

btAlignedObjectArray<btMultiBodyConstraint*> MultiBodyInplaceSolverIslandCallback::m_multiBodyConstraints

Definition at line 82 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_multiBodySortedConstraints

btMultiBodyConstraint** MultiBodyInplaceSolverIslandCallback::m_multiBodySortedConstraints

Definition at line 70 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_numConstraints

int MultiBodyInplaceSolverIslandCallback::m_numConstraints

Definition at line 74 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_numMultiBodyConstraints

int MultiBodyInplaceSolverIslandCallback::m_numMultiBodyConstraints

Definition at line 71 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_softBodies

btAlignedObjectArray<btCollisionObject*> MultiBodyInplaceSolverIslandCallback::m_softBodies

Definition at line 79 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_solver

btMultiBodyConstraintSolver* MultiBodyInplaceSolverIslandCallback::m_solver

Definition at line 69 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_solverInfo

btContactSolverInfo* MultiBodyInplaceSolverIslandCallback::m_solverInfo

Definition at line 68 of file btMultiBodyInplaceSolverIslandCallback.h.

## ◆ m_sortedConstraints

btTypedConstraint** MultiBodyInplaceSolverIslandCallback::m_sortedConstraints

Definition at line 73 of file btMultiBodyInplaceSolverIslandCallback.h.

The documentation for this struct was generated from the following file:

- btMultiBodyInplaceSolverIslandCallback.h